package com.zhyc.module.base.mapper;

import com.zhyc.module.base.domain.DaSheepfold;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 羊舍管理Mapper接口
 * 
 * @author wyt
 * @date 2025-07-11
 */
@Mapper
public interface DaSheepfoldMapper 
{
    /**
     * 查询羊舍管理
     * 
     * @param id 羊舍管理主键
     * @return 羊舍管理
     */
    public DaSheepfold selectDaSheepfoldById(Long id);

    /**
     * 查询羊舍管理列表
     * 
     * @param daSheepfold 羊舍管理
     * @return 羊舍管理集合
     */
    public List<DaSheepfold> selectDaSheepfoldList(DaSheepfold daSheepfold);


    /**
     * 羊舍级别汇总查询（主表格）
     */
    List<DaSheepfold> selectDaSheepfoldSummaryList(DaSheepfold daSheepfold);

    /**
     * 新增羊舍管理
     * 
     * @param daSheepfold 羊舍管理
     * @return 结果
     */
    public int insertDaSheepfold(DaSheepfold daSheepfold);

    /**
     * 修改羊舍管理
     * 
     * @param daSheepfold 羊舍管理
     * @return 结果
     */
    public int updateDaSheepfold(DaSheepfold daSheepfold);

    /**
     * 删除羊舍管理
     * 
     * @param id 羊舍管理主键
     * @return 结果
     */
    public int deleteDaSheepfoldById(Long id);

    /**
     * 批量删除羊舍管理
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteDaSheepfoldByIds(Long[] ids);

    public int selectCount(DaSheepfold daSheepfold);

    // 新增：按组合条件删除的自定义方法（核心）
    int deleteSheepfoldByCondition(
            @Param("ranchId") Long ranchId,
            @Param("sheepfoldNo") String sheepfoldNo,
            @Param("sheepfoldTypeId") Long sheepfoldTypeId

    );
    
}
